import 'dart:developer';

import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:smartlink_flutter/smartlink_flutter.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      await SmartlinkFlutter.startLink("TP-LINK_6494", "admin123");
    } on PlatformException {
      log("error  ");
    }
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(children: [
          InkWell(
            child: Text('Running on: $_platformVersion\n'),
            onTap: () {
              initPlatformState();
            },
          ),
          InkWell(
            child: Text('STop on: $_platformVersion\n'),
            onTap: ()async  {
              var resut = await SmartlinkFlutter.stopLink();
              log("result "+resut.toString());
            },
          ),
        ]),
      ),
    );
  }
}
